Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.connector.base.cache
Class InMemoryNodeCache.PathCache

    java.lang.Object
      org.modeshape.graph.connector.base.cache.InMemoryNodeCache<Path,PathNode>
          org.modeshape.graph.connector.base.cache.InMemoryNodeCache.PathCache

All Implemented Interfaces:
  NodeCache<Path,PathNode>, PathNodeCache<PathNode>

Enclosing class:
  InMemoryNodeCache<KeyType,NodeType extends Node>

    public static class InMemoryNodeCache.PathCache

extends InMemoryNodeCache<Path,PathNode>
implements PathNodeCache<PathNode>

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.connector.base.cache.InMemoryNodeCache
`InMemoryNodeCache.MapCache<N extends MapNode>, InMemoryNodeCache.MapCachePolicy<NodeType extends MapNode>, InMemoryNodeCache.PathCache, InMemoryNodeCache.PathCachePolicy`

Field Summary

Fields inherited from class org.modeshape.graph.connector.base.cache.InMemoryNodeCache
`entriesByKey, policy`

Constructor Summary
`InMemoryNodeCache.PathCache(NodeCachePolicy<Path,PathNode> policy)`

Method Summary
`void` | `invalidate(Path path)` Invalidates all nodes in the cache that have the given path or have a path that is an ancestor of the given path

Methods inherited from class org.modeshape.graph.connector.base.cache.InMemoryNodeCache
`assignPolicy, clearStatistics, close, get, getStatistics, put, remove, removeAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.connector.base.cache.NodeCache
`assignPolicy, clearStatistics, close, get, getStatistics, put, remove, removeAll`

Constructor Detail

### InMemoryNodeCache.PathCache

    public InMemoryNodeCache.PathCache(NodeCachePolicy<Path,PathNode> policy)

Method Detail

### invalidate

    public void invalidate(Path path)

  Description copied from interface: `PathNodeCache`
  Invalidates all nodes in the cache that have the given path or have a path that is an ancestor of the given path

  Specified by:
    `invalidate` in interface `PathNodeCache<PathNode>`
  Parameters:
    `path` - the root of the branch of nodes that are to be invalidated; may not be null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.